<?php

// Reset all Mondial Relay parameters
if (isset($_GET['all'])) {
    $champs = class_MRWP_conf::get_champs_mondialrelay();
    $noty = 1;
}
// Reset Mondial Relay confguration parameters
elseif (isset($_GET['compte'])) {
    $champs = class_MRWP_conf::get_champs_compte_mondialrelay();
    $noty = 2;
}
// Reset Mondial Relay point parameters
elseif (isset($_GET['points'])) {
    $champs = class_MRWP_conf::get_champs_points();
    $noty = 3;
}
// Reset Mondial Relay vendor parameters
elseif (isset($_GET['vendeur'])) {
    $champs = class_MRWP_conf::get_champs_vendeur();
    $noty = 4;
}
// Reset Mondial Relay emails
elseif (isset($_GET['emails'])) {
    $champs = class_MRWP_conf::get_champs_email();
    $noty = 5;
}
// Delete SQL parameters
if (isset($noty)) {
    class_MRWP_db::reset_options_champs($champs);
    if ($noty == 1) {
        class_MRWP_conf::default_mondialrelay();
    }
    elseif ($noty == 2) {
        class_MRWP_conf::default_configuration();
    }
    elseif ($noty == 3) {
        class_MRWP_conf::default_points();
    }
    elseif ($noty == 5) {
        class_MRWP_conf::default_email();
    }
}

// Debug mode
$mondialrelay_debug = get_option( 'mondialrelay_debug');
if (isset($_POST['debug'])) {
    update_option('mondialrelay_debug', $_POST['mondialrelay_debug']);
    $mondialrelay_debug = $_POST['mondialrelay_debug'];
    $noty = 7;
}

// Chargement du Jquery
$mondialrelay_jquery = get_option( 'mondialrelay_jquery');
if (isset($_POST['mrjquery'])) {
    update_option('mondialrelay_jquery', $_POST['mondialrelay_jquery']);
    $mondialrelay_jquery = $_POST['mondialrelay_jquery'];
    $noty = 10;
}

// Limitation du poids
$mondialrelay_poids = get_option( 'mondialrelay_poids');
if (isset($_POST['mrpoids'])) {
    update_option('mondialrelay_poids', $_POST['mondialrelay_poids']);
    $mondialrelay_poids = $_POST['mondialrelay_poids'];
    $noty = 11;
}

// Plugin position in the menu
$mondialrelay_menu_position = get_option( 'mondialrelay_menu_position');
if (isset($_POST['mondialrelay_menu_position'])) {
    update_option('mondialrelay_menu_position', $_POST['mondialrelay_menu_position']);
    $mondialrelay_menu_position = $_POST['mondialrelay_menu_position'];
    $noty = 8;
}

// WooCommerce folder
$mondialrelay_woocommerce_folder = get_option( 'mondialrelay_woocommerce_folder');
if (isset($_POST['mondialrelay_woocommerce_folder'])) {
    update_option('mondialrelay_woocommerce_folder', $_POST['mondialrelay_woocommerce_folder']);
    $mondialrelay_woocommerce_folder = $_POST['mondialrelay_woocommerce_folder'];
    $noty = 9;
}
