<?php

// Class for plugin activation

class class_MRWP_install {

	public static function install() {
		global $wpdb;
		$prefixe = $wpdb->prefix;

		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'inc/class-MRWP-db.php';
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'inc/class-MRWP-conf.php';

		// Get Mondial Relay default params
		$champs = class_MRWP_conf::get_champs_mondialrelay();
		// Create default attributes for Mondial Relay options
		class_MRWP_db::insert_options_champs($champs);
	}

}